#                                                                        #
# Object Configuration for the Flow Framework                            #
#                                                                        #
# This file contains additions to the base configuration for the         #
# Flow Framework when it runs in Testing context.                        #
#                                                                        #
# Don't modify this file - instead put your own additions into the       #
# global Configuration directory and its sub directories.                #
#                                                                        #

#
# For functional tests we are going to use the InternalRequestEngine by default:
#
TYPO3\Flow\Http\Client\Browser:
  properties:
    requestEngine:
      object: TYPO3\Flow\Http\Client\InternalRequestEngine

#
# Security and Resource handling need specialized testing classes:
#
TYPO3\Flow\Security\Authorization\PrivilegeManagerInterface:
  className: TYPO3\Flow\Security\Authorization\TestingPrivilegeManager

#
# Configuration of fixture classes:
#
TYPO3\Flow\Tests\Functional\Object\Fixtures\SingletonClassC:
  properties:
    protectedStringPropertySetViaObjectsYaml:
      value: 'a defined string'
    protectedFloatPropertySetViaObjectsYaml:
      value: 42.101010
    protectedArrayPropertySetViaObjectsYaml:
      value: { 'iAm': { 'aConfigured': 'arrayValue' } }
    protectedBooleanTruePropertySetViaObjectsYaml:
      value: TRUE
    protectedBooleanFalsePropertySetViaObjectsYaml:
      value: FALSE
    protectedArrayPropertyWithSetterSetViaObjectsYaml:
      value: {'and': 'something from Objects.yaml'}
  arguments:
    1:
      value: 'this is required'
    3:
      setting: TYPO3.Flow.tests.functional.dependencyInjection.singletonConstructorArgument
    6:
      value: { 'thisIs': { 'anArray': 'asProperty' } }

TYPO3\Flow\Tests\Functional\Object\Fixtures\PrototypeClassAishInterface:
  factoryObjectName: TYPO3\Flow\Tests\Functional\Object\Fixtures\PrototypeClassAFactory
  arguments:
    1:
      value: 'value defined in Objects.yaml'

TYPO3\Flow\Tests\Functional\Object\Fixtures\PrototypeClassC:
  arguments:
    1:
      setting: TYPO3.Flow.tests.functional.dependencyInjection.prototypeConstructorArgument

TYPO3\Flow\Tests\Functional\Object\Fixtures\PrototypeClassD:
  properties:
    'objectE':
      object:
        arguments:
          1:
            value: 'The constructor set value'

TYPO3\Flow\Tests\Functional\Object\Fixtures\SingletonClassF:
  arguments:
    1:
      value: ~

TYPO3\Flow\Tests\Functional\Object\Fixtures\SingletonClassG:
  arguments:
    1:
      object:
        factoryObjectName: TYPO3\Flow\Tests\Functional\Object\Fixtures\PrototypeClassAFactory
        arguments:
          1:
            value: 'Constructor injection with factory'

TYPO3\Flow\Tests\Functional\Object\Fixtures\Flow175\OuterPrototype:
  arguments:
    1:
      object:
        name: TYPO3\Flow\Tests\Functional\Object\Fixtures\Flow175\Greeter
